%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:		libhid
Version:	0.2.17
Release:	11%{?dist}
Summary:	User space USB HID access library
Group:		System Environment/Libraries
License:	GPLv2
URL:		http://libhid.alioth.debian.org
# The source for this package was pulled from upstream's Subversion.  Use the
# following commands to generate the tarball:
#  svn co svn://svn.debian.org/libhid/trunk libhid-0.2.17
#  tar -czvf libhid-0.2.17.tar.gz libhid-0.2.17
Source0:	%{name}-%{version}.tar.gz

# Use db2x_docbook2man instead xsltproc to generate man pages
Patch0:		libhid-0.2.17-fix_manpage.patch
# Stop the configure script to mess the flags
Patch1:		libhid-0.2.17-fix_compiler_flags.patch
# Fix FTBFS rhbz#716191
Patch2:		libhid-0.2.17-buildfix.patch
BuildRequires:	libusb-devel, libtool, pkgconfig, swig, python-devel, docbook2X, docbook-style-xsl
ExcludeArch:	s390 s390x

%description
libhid provides a generic and flexible way to access and interact with USB
HID devices, much like libusb does for plain USB devices. It is based on
libusb, thus it requires no HID support in the kernel and provides means to
take control over a device even if the kernel governs it.



%package devel
Summary: Development files for libhid
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libusb-devel

%description devel
This package provides the development files for libhid.
You need this if you want to develop an application with libhid



%package python
Summary: Python bindings for the libhid libraries
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description python
This package provides the hid module and wrapper for python which provides 
access to USB HID devices.



%prep
%setup -q
%patch0 -p1 -b .fix_manpage
%if 0%{?fedora} > 13
# Allow build against swig-2.0
sed -i 's|AC_PROG_SWIG(1.3)|AC_PROG_SWIG(2.0)|' configure.ac
%endif
autoreconf -i
%patch1 -p1 -b .fix_compiler_flags
%patch2 -p1


%build
# Fix swig and disable doxygen for now
%configure --enable-static=no --without-doxygen
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{python_sitearch}/*/*.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
# Excluded INSTALL and COPYING as they are symlinks to nothing
%doc README.licence
%{_libdir}/*.so.*
%{_bindir}/libhid-detach-device
%{_mandir}/man1/*

%files devel
%doc AUTHORS README ChangeLog
%{_libdir}/pkgconfig/libhid.pc
%{_includedir}/*
%{_libdir}/*.so

%files python
%doc swig/README
%{python_sitelib}/*
# Ensure libraries are installed for multilib architectures
%ifarch x86_64 ppc64 sparc64
%{python_sitearch}/*
%endif

%changelog
* Thu Aug  2 2012 Hans de Goede <hdegoede@redhat.com> - 0.2.17-11
- libhid still uses the old libusb-0.1.x, adjust [Build]Requires to match this
- Fix FTBFS (rhbz#716191)

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.17-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.17-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.17-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 27 2011 Manuel F Martinez <manpaz@bashlinux.com> 0.2.17-7
- Build against libusb1

* Sun Aug 01 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> 0.2.17-6
- Allow build against swig-2.0 on Fedora > 13.

* Fri Jul 30 2010 Thomas Spura <tomspur@fedoraproject.org> 0.2.17-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Mar 06 2010 Manuel F Martinez <manpaz@bashlinux.com> 0.2.17-4
- Applied patch0 before autoreconf
- Added patch to fix compiler flags
- Fixed "duplicate file entries" warning on ppc
- Matched comment about files on python sub-package

* Sat Feb 27 2010 Manuel F Martinez <manpaz@bashlinux.com> 0.2.17-3
- Added autoreconf and cleaned build section
- Removed maintainer mode on configure
- Removed static library from python sub-package
- Cleaned up sed modifications
- Fixed Build Root name
- Removed CFLAGS and added _smp_mflags to make
- Fixed python subpackage conditional
- Fixed typos in description
- Added release number to requires in python sub-package

* Sat Feb 20 2010 Manuel F Martinez <manpaz@bashlinux.com> 0.2.17-2
- Fixed GPL version
- Removed unnecessary "makeinstall" and "defattr"
- Added libusb-devel to libhid-devel

* Wed Feb 17 2010 Manuel F Martinez <manpaz@bashlinux.com> 0.2.17-1
- Build on Fedora 12
- Added patch to fix manpage creation

* Thu May 03 2007 Charles Lepple <clepple+libhid@ghz.cc> 0.2.16-1
- Built on Fedora Core 6

* Sat Jan 15 2005 Jason Watson <jason.watson@agrios.net> 0.2.10-1
- Initial RPM build
